﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PB069.Lecture4.FormsAndBasicControls
{
    public partial class SayHelloDialogForm : Form
    {
        public string UserName
        {
            get { return textBox1.Text; }
            set { textBox1.Text = value; }
        }

        public bool UseCzechLanguage
        {
            get { return radioButton1.Checked; }
            set { radioButton1.Checked = value; }
        }

        public bool UseEnglishLanguage
        {
            get { return radioButton2.Checked; }
            set { radioButton2.Checked = value; }
        }

        public bool AddExclamationMark
        {
            get { return checkBox1.Checked; }
            set { checkBox1.Checked = value; }
        }


        public SayHelloDialogForm()
        {
            InitializeComponent();
        }

        private void aboutButton_Click(object sender, EventArgs e)
        {
            MessageBox.Show(@"Aby byl dialog dialogem, je potřeba nastavit:
AcceptButton = this.okButton; -- nastavení potvrzovacího tlačítka (reaguje na ENTER)
CancelButton = this.cancelButton; -- nastavení stornovacího tlačítka (reaguje na ESC)

FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
MaximizeBox = false; 
MinimizeBox = false;
ShowInTaskbar = false;
");
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            // Jako alternativa k nastavení vlastnosti DialogResult tlačítku
            // je možné zavřít modální dialog s nějakou hodnotou v kódu:

            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}
